UPLDIF(1)

NAME
upldif - Barry Project's LDIF contact uploader

SYNOPSIS
upldif [-p pin][-P password][-u][-h][-v]

DESCRIPTION

upldif reads a list of contacts in LDAP LDIF format from stdin, and overwrites the Blackberry's Address Book database with those contents.

OPTIONS

-p pin
    Specify the PIN of the device to talk to. Only needed if there are multiple Blackberries plugged into your system at once.

-P password
    Simplistic method to specify device password.

-u  Actually do the upload. If not specified, upldif only dumps the parsed LDIF data to stdout for verification. Note! If this option is specified, all existing contacts on your Blackberry will be deleted and replaced with the LDIF contacts.

-v  Dump verbose protocol data during operation.

-h, --help
    Show summary of options.

RETURN STATUS
In the event of a fatal error, the message will be written to stderr, with an error code of 1.

AUTHOR
upldif is part of the Barry project. This manual page was written by Chris Frey.

SEE ALSO

http://www.netdirect.ca/software/packages/barry